<?php
  
namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Session;
use App\Models\User;
use App\Models\Contact;
use DB;
use Hash;
use Illuminate\Support\Facades\Validator;
  
class AuthController extends Controller
{
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function index()
    {
        return view('livewire.login');
    }  
      
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function registration()
    {
        return view('auth.registration');
    }
      
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function postLogin(Request $request)
    {
        $request->validate([
            'email' => 'required',
            'password' => 'required',
        ]);
   
        $credentials = $request->only('email', 'password');
        if (Auth::attempt($credentials)) {
            return redirect()->intended('dashboard')
                        ->withSuccess('You have Successfully loggedin');
        }
        return redirect()->route('login')->withSuccess('You have entered invalid credentials');
       // return redirect("admin")->withSuccess('Oppes! You have entered invalid credentials');
    }
      
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function postRegistration(Request $request)
    {  
        $request->validate([
            'name' => 'required',
            'email' => 'required|email|unique:users',
            'password' => 'required|min:6',
        ]);
           
        $data = $request->all();
        $check = $this->create($data);
         
        return redirect("dashboard")->withSuccess('Great! You have Successfully loggedin');
    }
    
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function dashboard()
    {
      
        if(Auth::check()){
            $data['contact'] =Contact::orderBy(DB::raw('ISNULL(id), id'), 'ASC')->get();  
            return view('admin.dashbord')->with('show',$data);
        }
  
        return redirect("admin")->withSuccess('Opps! You do not have access');
    }
    
    public function contact_delete(Request $request)
    {
        $id = $request->id;    
        Contact::destroy($id);
        
    }
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function create(array $data)
    {
      return User::create([
        'name' => $data['name'],
        'email' => $data['email'],
        'password' => Hash::make($data['password'])
      ]);
    }

    public function profile()
    {
        $user_email=Auth::user()->email;
        return view('admin.profile')->with('user_email',$user_email);

    }
    public function change_password(Request $request)
    {
        $user_id=Auth::user()->id;
        $validator = Validator::make($request->all(), [
            // 'current_password'=>'required',
            'new_password' => 'required',
            'confirm_password' => 'required',
        ]);  
        if ($validator->fails()) { 
            foreach (array_values($validator->messages()->toArray()) as $msg) {
                $error = implode(' ', $msg).'<br>';
            }
            return response()->json(['status' => 1,'heading'=>'Error', 'msg' => $error]);
        }
        
    
    
        if($request->new_password!=$request->confirm_password ){
            $error="password and confirm password Not Matching";
            return response()->json(['status' => 1,'heading'=>'Error', 'msg' => $error]);
        }
        if(strlen($request->new_password)<8){
            return response()->json(['status' => 2,'heading'=>'Error', 'msg' => 'password Contains atleast 8 charactes']);
        }
        else{
            $update_password=User::where('id',Auth::user()->id)->update(['email' => $request->username,'password' => Hash::make($request->new_password)]);
            if($update_password==1){
                return response()->json(['status' => 0,'heading'=>'Success', 'msg' => 'Password updated successfully']);
    
            }
            else{
                return response()->json(['status' => 1,'heading'=>'Error', 'msg' => 'Something Went Wrong']);
            }
        }
       
    }
    /**
     * Write code on Method
     *
     * @return response()
     */
    public function logout() {
       
        Session::flush();
        Auth::logout();
  
        return Redirect('admin');
    }

}