<?php

namespace App\Http\Controllers\admin;
use App\Models\Banner;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use Illuminate\Support\Facades\Storage;
use DB;
use Illuminate\Support\Facades\Validator;
use File;
use Intervention\Image\Facades\Image;

class BannerController extends Controller
{
    public function index()
    {
        $get_data = Banner::get();
        return view('admin.banner')->with('show',$get_data);
    }

    
   


    public function fetchAll() {
		$get_data = Banner::orderBy(DB::raw('ISNULL(id), id'), 'ASC')->get();
    
		$output = '';
        $i = 0;
		if ($get_data->count() > 0) {
			$output .= '<table  class="table table-bordered text-nowrap border-bottom dataTable no-footer " style="width: 100% !important;" id="table_datatable">
            <thead class="text-center">
              <tr>
              <th>SL No</th>
              <th>First Title</th>
              <th>Second Title</th>
                <th class="">Image</th>
               
               
                <th class="">Action</th>
              </tr>
            </thead>
            <tbody>';
			foreach ($get_data as $banner_data) {
                $i++;
				$output .= '<tr>
               
             
                <td style="text-align: center; vertical-align: middle;">' . $i. '</td>
                <td style="text-align: center; vertical-align: middle;">' . $banner_data->first_title . '</td>
                <td style="text-align: center; vertical-align: middle;">' . $banner_data->second_title . '</td>
                <td style="text-align: center; vertical-align: middle;"><a href="'.url("uploads/bannerimages/".$banner_data->image).'" target="_blank"><img src="'.url("uploads/bannerimages/".$banner_data->image).'"  width="85"  class="img-thumbnail" ></a></td>
             
            
                <td style="text-align: center; vertical-align: middle;">
                &nbsp;<button title="Edit" id="' . $banner_data->id . '" type="button" data-bs-toggle="modal"  data-bs-target="#editbannerModal" class="btn btn-sm custom-btn-info editIcon"><span class="fe fe-edit"> </span></button>
</td>
              
                </td>
              </tr>';
			}
			$output .= '</tbody></table>';
			echo $output;
		} else {
			echo '<p class="text-center text-secondary my-5">No record present in the database!</p>';
		}
	}
  public  function banner_store(Request $request)
  {
    $validator = Validator::make($request->all(), [
        'title'=>'required',
        'description'=>'required',   
        'banner_image'=>'required|mimes:png,jpeg,gif,webp',
    ]);
    
    if ($validator->fails()) { 
        foreach (array_values($validator->messages()->toArray()) as $msg) {
            $error = implode(' ', $msg).'<br>';
        }
        return response()->json(['status' => 1,'heading'=>'Error', 'msg' => $error]);
    } 
     $get_highest_order = DB::table('banner')
     ->select(DB::raw('MAX(order_number) as max_order_no'))
     ->value('max_order_no');
     if(empty($get_highest_order))
     {
      $ordernumber = 1;
     }
     else{
        $ordernumber =  $get_highest_order+1;
     }
      $image = $request->file('banner_image');
      $fileSize = $image->getSize(); 
      if ($fileSize > 1009 * 1000) {
            return response()->json([
                'status' => 203,
            ]);
          }

            $fileName = time() . '.' . $image->getClientOriginalExtension();
            $imageDestinationPath = 'uploads/serviceimages';
            $image->move($imageDestinationPath, $fileName);
            $galData = ['title' => $request->title,'description' => $request->description, 'order_number' => $ordernumber, 'image' => $fileName];
            Banner::create($galData);
            return response()->json([
                'status' => 200,
            ]);



   
  }
  public function update(Request $request) {
  
    $gal = Banner::find($request->ser_id);
    $fileName = ''; 
    if ($request->hasFile('banner_image')) {
    
          $image = $request->file('banner_image');
          $fileSize = $image->getSize(); 

       if ($fileSize > 1009 * 1000) {
            return response()->json([
                'status' => 203,
            ]);
          }

        $file = $request->file('banner_image');
        $fileName = time() . '.' . $file->getClientOriginalExtension();
        $imageDestinationPath = 'uploads/bannerimages';
        $file->move($imageDestinationPath, $fileName);
       
        if ($gal->image) {
            File::delete('uploads/bannerimages/' . $gal->image);
        }
  
    } else {
        $fileName = $request->ser_image;
    
    }
    $Data = ['first_title' => $request->first_title,'second_title' => $request->second_title, 'description' => $request->description, 'image' => $fileName];  
  
    $update=Banner::where('id',$request->ser_id)->update($Data); 
 
    return response()->json([
        'status' => 200,
    ]);


}
  public function banner_edit(Request $request)
  {
	    $id = $request->id;
		$banner = Banner::find($id);
		return response()->json($banner);
  }
  public function banner_delete(Request $request) {
    $id = $request->id;  
    $gal = Banner::find($id);

    if (File::delete('uploads/serviceimages/' . $gal->image)) {
        Banner::destroy($id);
    }
}
public function search_order(Request $request)
{
    $get_details =DB::table('banner')->pluck('order_number')->toArray();
    if (in_array($request->order_number, $get_details ))
    {
        return 'false';
    }
    else{
        return 'true'; 
    }
   
}

public function update_image_order(Request $request)
{
    $imageIdsArray = $request->imageIds;
    $count = 1;
    foreach ($imageIdsArray as $id) {
        $imageOrder = $count;
        $imageId = $id;
        $str_id = str_replace(array('\'', '.'), "", $imageId);

        $post = Banner::find($str_id);

        $post->order_number = $imageOrder;
        $post->save();

        $count ++;
    }
    return response()->json([
        'status' => 200,
    ]);

}

}
