<?php

namespace App\Http\Controllers\admin;
use App\Models\Gallery;
use App\Models\GalleryMultiple;
use App\Models\Category;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use Illuminate\Support\Facades\Storage;
use DB;
use Illuminate\Support\Facades\Validator;
use File;
use Intervention\Image\Facades\Image;
class GalleryController extends Controller
{
    public function index()
    {
        $data['show'] = Gallery::orderBy(DB::raw('ISNULL(order_number), order_number'), 'ASC')->get();
        $data['category'] = Category::get();
        return view('admin.gallery')->with('data',$data);
    }
    public function event_category()
    {
        $get_data = Category::get();
        return view('admin.event_category')->with('show',$get_data);
    }
    
    public function fetchcategory() {
		$get_data = Category::get();
        
		$output = '';
        $i = 0;
		if ($get_data->count() > 0) {
			$output .= '<table  class="table table-bordered text-nowrap border-bottom dataTable no-footer " style="width: 100% !important;" id="table_datatable">
            <thead class="text-center">
              <tr>
              <th>SL No</th>
                <th class="">Category Name</th>
                          
                <th class="">Action</th>
              </tr>
            </thead>
            <tbody>';
			foreach ($get_data as $gallery_data) {
                $i++;
				$output .= '<tr>
               
             
                <td style="text-align: center; vertical-align: middle;">' . $i. '</td>
                <td style="text-align: center; vertical-align: middle;">
              '.$gallery_data->category_name.'
                </td>
             
             
                <td style="text-align: center; vertical-align: middle;">
                &nbsp;<button title="Edit" id="' . $gallery_data->id . '" type="button" data-bs-toggle="modal"  data-bs-target="#editGalleryModal" class="btn btn-sm custom-btn-info editIcon"><span class="fe fe-edit"> </span></button>
                &nbsp;<button title="Delete"   id="' . $gallery_data->id . '"  type="button" class="btn  btn-sm custom-btn-danger deleteIcon"><span class="fe fe-trash-2"> </span></button></td>

                </td>
              </tr>';
			}
			$output .= '</tbody></table>';
			echo $output;
		} else {
			echo '<p class="text-center text-secondary my-5">No record present in the database!</p>';
		}
	}
    public function gallery_category_edit(Request $request)
    {
          $id = $request->id;
          $gallery = Category::find($id);
          return response()->json($gallery);
    }
    
    public function category_store(Request $request)
    {
       
        Category::create([
            'category_name' => $request->event_category,
            
        ]);
        return response()->json([
            'status' => 200,
        ]);
    
    }

    public function update_category(Request $request) {
    
    
        $gal = Category::find($request->gal_id);
      
        $galData = ['category_name' => $request->event_category];
    
        $gal->update($galData);
        return response()->json([
            'status' => 200,
        ]);
    
    
    
    }

    public function category_delete(Request $request) {
        $id = $request->id;    
        Category::destroy($id);

    }

    public function fetchAll() {
		$get_data = Gallery::leftjoin('gallery_category','gallery_category.id','gallery.category_id')
        ->select('gallery_category.*','gallery.*','gallery.id as gal_id')
        ->orderBy(DB::raw('ISNULL(gallery.id), gallery.id'), 'ASC')->get();
        
		$output = '';
        $i = 0;
		if ($get_data->count() > 0) {
			$output .= '<table  class="table table-bordered text-nowrap border-bottom dataTable no-footer " style="width: 100% !important;" id="table_datatable">
            <thead class="text-center">
              <tr>
              <th>SL No</th>
              <th>Title</th>
              <th>Category</th>
                <th class=""> Image</th>
            
               
                <th class="">Action</th>
              </tr>
            </thead>
            <tbody>';
			foreach ($get_data as $gallery_data) {
                $i++;
				$output .= '<tr>
               
             
                <td style="text-align: center; vertical-align: middle;">' . $i. '</td>
                <td style="text-align: center; vertical-align: middle;">' . $gallery_data->title. '</td>
                <td style="text-align: center; vertical-align: middle;">' . $gallery_data->category_name. '</td>
                <td style="text-align: center; vertical-align: middle;"><a href="'.url("uploads/main_events_images/".$gallery_data->gallery_image).'" target="_blank"><img src="'.url("uploads/main_events_images/".$gallery_data->gallery_image).'"  width="85"  class="img-thumbnail" ></a></td>            
                <td style="text-align: center; vertical-align: middle;">
                &nbsp;<button title="Edit" id="' . $gallery_data->gal_id . '" type="button" data-bs-toggle="modal"  data-bs-target="#editGalleryModal" class="btn btn-sm custom-btn-info editIcon"><span class="fe fe-edit"> </span></button>
                  &nbsp;<button title="Delete"   id="' . $gallery_data->gal_id . '"  type="button" class="btn  btn-sm custom-btn-danger deleteIcon"><span class="fe fe-trash-2"> </span></button></td>
              
                </td>
              </tr>';
			}
			$output .= '</tbody></table>';
			echo $output;
		} else {
			echo '<p class="text-center text-secondary my-5">No record present in the database!</p>';
		}
	}
  public  function gallery_store(Request $request)
  {

    //  $get_highest_order = DB::table('gallery')
    //  ->select(DB::raw('MAX(order_number) as max_order_no'))
    //  ->value('max_order_no');
    //  if(empty($get_highest_order))
    //  {
    //   $ordernumber = 1;
    //  }
    //  else{
    //     $ordernumber =  $get_highest_order+1;
    //  }
    
         if (! $request->hasFile('gallery_image')) {
            return response()->json([
                'status' => 203,
            ]);
          }
   
          $image = $request->file('gallery_image');
          $fileSize = $image->getSize(); 

          if ($fileSize > 1024 * 1024) {
            return response()->json([
                'status' => 203,
            ]);
          }
        $file = $request->file('gallery_image');
        $data = getimagesize($file);
        // $width = $data[0];
        // $height = $data[1];
     
        // if($width == '1024' && $height == '516')
        // {
          
            $fileName = time() . '.' . $file->getClientOriginalExtension();
            $imageDestinationPath = 'uploads/main_events_images';
            $file->move($imageDestinationPath, $fileName);  
            $gallery_add = new Gallery();
            $gallery_add->category_id = $request->category_id;
            $gallery_add->title = $request->title;
            $gallery_add->gallery_image = $fileName;
            $gallery_add->save();
            $gallery_add_id = $gallery_add->id;
          
          
            // foreach($request->file('gallery_multiple') as $image)
            // {
            //     $name=date('YmdHis').$image->getClientOriginalName();
            //     $image->move(public_path().'/uploads/multiple_events_images', $name);  
            //     $data[] = $name;  

            //     $multipleimage=new GalleryMultiple();
            //     $multipleimage->image=$name; 
            //     $multipleimage->gallery_id= $gallery_add_id;
            //     $multipleimage->save();

            // }  
            return response()->json([
                'status' => 200,
            ]);
        // }
        // else{
        //     return response()->json([
        //         'status' => 202,
        //     ]);
        // }


   
  }
  public function update(Request $request) {
  
    $get_details =DB::table('gallery')->pluck('order_number')->toArray();
    $gal = Gallery::find($request->gal_id);
   
    $fileName = ''; 
    if ($request->hasFile('gallery_image')) {
 
          $image = $request->file('gallery_image');
          $fileSize = $image->getSize(); 

          if ($fileSize > 1024 * 1024) {
            return response()->json([
                'status' => 203,
            ]);
          }


        $data = getimagesize($request->file('gallery_image'));
    // $width = $data[0];
    // $height = $data[1];
    // if($width == '1446' && $height == '1938')
    //     {
        $file = $request->file('gallery_image');
        $fileName = time() . '.' . $file->getClientOriginalExtension();
        $imageDestinationPath = 'uploads/main_events_images';
        $file->move($imageDestinationPath, $fileName);
       
        if ($gal->gallery_image) {
            File::delete('uploads/main_events_images/' . $gal->gallery_image);
        }
    // }
    // else{
    //     return response()->json([
    //         'status' => 202,
    //     ]);
    // }
    } else {
        $fileName = $request->gal_image;
    }

    // if ($request->hasFile('gallery_multiple')) {    
    //     $gal_mutiple_del = GalleryMultiple::where('gallery_id', $request->gal_id)->delete();
    //     foreach($request->file('gallery_multiple') as $image)
    //     {
    //         $name=date('YmdHis').$image->getClientOriginalName();
    //         $image->move(public_path().'/uploads/multiple_events_images', $name);  
    //         $data[] = $name;  

    //         $multipleimage=new GalleryMultiple();
    //         $multipleimage->image=$name; 
    //         $multipleimage->gallery_id= $request->gal_id;
    //         $multipleimage->save();

    //     } 

    // }
    $galData = ['title' => $request->title, 'category_id' => $request->category_id, 'gallery_image' => $fileName];
    $update = Gallery::where('id',$request->gal_id)->update($galData); 
  
    return response()->json([
        'status' => 200,
    ]);



}
  public function gallery_edit(Request $request)
  {
	    $id = $request->id;
		$gallery = Gallery::leftjoin('gallery_category','gallery_category.id','gallery.category_id')
        ->select('gallery_category.*','gallery.*','gallery.id as gal_id')
        ->where('gallery.id','=',$id)
        ->first();
		return response()->json($gallery);
  }
  public function gallery_delete(Request $request) {
    $id = $request->id;    
    $gal = Gallery::find($id);

    if (File::delete('uploads/main_events_images/' . $gal->gallery_image)) {
        Gallery::destroy($id);
    }
}
public function search_order(Request $request)
{
    $get_details =DB::table('gallery')->pluck('order_number')->toArray();
    if (in_array($request->order_number, $get_details ))
    {
        return 'false';
    }
    else{
        return 'true'; 
    }
   
}

public function update_image_order(Request $request)
{
    $imageIdsArray = $request->imageIds;
    $count = 1;
    foreach ($imageIdsArray as $id) {
        $imageOrder = $count;
        $imageId = $id;
        $str_id = str_replace(array('\'', '.'), "", $imageId);

        $post = Gallery::find($str_id);

        $post->order_number = $imageOrder;
        $post->save();

        $count ++;
    }
    return response()->json([
        'status' => 200,
    ]);

}

}
