<?php

namespace App\Http\Controllers\admin;
use App\Models\MusicalProjects;
use App\Models\Upcoming_musical_events;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use Illuminate\Support\Facades\Storage;
use DB;
use Illuminate\Support\Facades\Validator;
use File;
use Intervention\Image\Facades\Image;

class MusicalProjectsController extends Controller
{
    public function index()
    {
        $get_data = MusicalProjects::first();     
        return view('admin.musical_project_description')->with('show',$get_data);
    }

    
   


    public function fetchAll() {
		$get_data = Upcoming_musical_events::orderBy(DB::raw('ISNULL(id), id'), 'ASC')->get();
        
		$output = '';
        $i = 0;
		if ($get_data->count() > 0) {
			$output .= '<table  class="table table-bordered text-nowrap border-bottom dataTable no-footer " style="width: 100% !important;" id="table_datatable">
            <thead class="text-center">
              <tr>
              <th>SL No</th>
              <th>Date</th>
              <th>Title</th>
              <th>Address</th>
              
                <th class="">Image</th>
           
               
                <th class="">Action</th>
              </tr>
            </thead>
            <tbody>';
			foreach ($get_data as $services_data) {
                $i++;
				$output .= '<tr>
               
             
                <td style="text-align: center; vertical-align: middle;">' . $i. '</td>
                <td style="text-align: center; vertical-align: middle;">' . $services_data->musical_event_date . '</td>
                <td style="text-align: center; vertical-align: middle;">' . $services_data->title . '</td>
                <td style="text-align: center; vertical-align: middle;">' . $services_data->address . '</td>
                <td style="text-align: center; vertical-align: middle;"><a href="'.url("uploads/up_musical_event_image/".$services_data->up_musical_event_image).'" target="_blank"><img src="'.url("uploads/up_musical_event_image/".$services_data->up_musical_event_image).'"  width="85"  class="img-thumbnail" ></a></td>
                <td style="text-align: center; vertical-align: middle;">
                &nbsp;<button title="Edit" id="' . $services_data->id . '" type="button" data-bs-toggle="modal"  data-bs-target="#editservicesModal" class="btn btn-sm custom-btn-info editIcon"><span class="fe fe-edit"> </span></button>
                  &nbsp;<button title="Delete"   id="' . $services_data->id . '"  type="button" class="btn  btn-sm custom-btn-danger deleteIcon"><span class="fe fe-trash-2"> </span></button></td>
              
                </td>
              </tr>';
			}
			$output .= '</tbody></table>';
			echo $output;
		} else {
			echo '<p class="text-center text-secondary my-5">No record present in the database!</p>';
		}
	}
  public  function up_musical_event_store(Request $request)
  {
    $validator = Validator::make($request->all(), [
        'title'=>'required',
        'address'=>'required',   
        'up_musical_event_image'=>'required|mimes:png,jpeg,gif,webp',
    ]);
    
    if ($validator->fails()) { 
        foreach (array_values($validator->messages()->toArray()) as $msg) {
            $error = implode(' ', $msg).'<br>';
        }
        return response()->json(['status' => 1,'heading'=>'Error', 'msg' => $error]);
    } 
    //  $get_highest_order = DB::table('services')
    //  ->select(DB::raw('MAX(order_number) as max_order_no'))
    //  ->value('max_order_no');
    //  if(empty($get_highest_order))
    //  {
    //   $ordernumber = 1;
    //  }
    //  else{
    //     $ordernumber =  $get_highest_order+1;
    //  }
      $image = $request->file('up_musical_event_image');
      $fileSize = $image->getSize(); 
      if ($fileSize > 1009 * 1000) {
            return response()->json([
                'status' => 203,
            ]);
          }

            $fileName = time() . '.' . $image->getClientOriginalExtension();
            $imageDestinationPath = 'uploads/up_musical_event_image';
            $image->move($imageDestinationPath, $fileName);
            $galData = ['title' => $request->title,'address' => $request->address, 'musical_event_date' => $request->musical_event_date, 'up_musical_event_image' => $fileName];
            Upcoming_musical_events::create($galData);
            return response()->json([
                'status' => 200,
            ]);



   
  }
  

  public function description_update(Request $request) {
   $Data = ['description' => $request->description];
   $update=MusicalProjects::where('id',1)->update($Data); 
 
    return response()->json([
        'status' => 200,
    ]);

}
  public function update(Request $request) {

    $get_details =DB::table('services')->pluck('order_number')->toArray();
    $gal = Upcoming_musical_events::find($request->ser_id);
   
    $fileName = ''; 
    if ($request->hasFile('up_musical_event_image')) {
    
       
   
          $image = $request->file('up_musical_event_image');
          $fileSize = $image->getSize(); 

          if ($fileSize > 1024 * 1024) {
            return response()->json([
                'status' => 203,
            ]);
          }


    //     $data = getimagesize($request->file('up_musical_event_image'));
    // $width = $data[0];
    // $height = $data[1];
    // if($width == '1009' && $height == '1000')
    //     {
        $file = $request->file('up_musical_event_image');
        $fileName = time() . '.' . $file->getClientOriginalExtension();
        $imageDestinationPath = 'uploads/up_musical_event_image';
        $file->move($imageDestinationPath, $fileName);
       
        if ($gal->up_musical_event_image) {
            File::delete('uploads/up_musical_event_image/' . $gal->up_musical_event_image);
        }
    // }
    // else{
    //     return response()->json([
    //         'status' => 202,
    //     ]);
    // }
    } else {
        $fileName = $request->ser_image;
    }
    
    $galData = ['title' => $request->title,'address' => $request->address, 'musical_event_date' => $request->musical_event_date, 'up_musical_event_image' => $fileName];
  
  
    $update=Upcoming_musical_events::where('id',$request->ser_id)->update($galData); 
 
    return response()->json([
        'status' => 200,
    ]);



}
  public function up_musical_event_edit(Request $request)
  {
	    $id = $request->id;
		$services = Upcoming_musical_events::find($id);
		return response()->json($services);
  }
  public function up_musical_event_delete(Request $request) {
    $id = $request->id;  
    $gal = Upcoming_musical_events::find($id);

    if (File::delete('uploads/up_musical_event_image/' . $gal->up_musical_event_image)) {
        Upcoming_musical_events::destroy($id);
    }
}
public function search_order(Request $request)
{
    $get_details =DB::table('services')->pluck('order_number')->toArray();
    if (in_array($request->order_number, $get_details ))
    {
        return 'false';
    }
    else{
        return 'true'; 
    }
   
}

public function update_image_order(Request $request)
{
    $imageIdsArray = $request->imageIds;
    $count = 1;
    foreach ($imageIdsArray as $id) {
        $imageOrder = $count;
        $imageId = $id;
        $str_id = str_replace(array('\'', '.'), "", $imageId);

        $post = Services::find($str_id);

        $post->order_number = $imageOrder;
        $post->save();

        $count ++;
    }
    return response()->json([
        'status' => 200,
    ]);

}

}
