<?php

namespace App\Http\Controllers\admin;
use App\Models\Offers;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use Illuminate\Support\Facades\Storage;
use DB;
use Illuminate\Support\Facades\Validator;
use File;
use Intervention\Image\Facades\Image;

class OffersController extends Controller
{
    public function index()
    {
        $get_data = Offers::get();
        return view('admin.offers')->with('show',$get_data);
    }

    
   


    public function fetchAll() {
		$get_data = offers::orderBy(DB::raw('ISNULL(id), id'), 'ASC')->get();
    
		$output = '';
        $i = 0;
		if ($get_data->count() > 0) {
			$output .= '<table  class="table table-bordered text-nowrap border-bottom dataTable no-footer " style="width: 100% !important;" id="table_datatable">
            <thead class="text-center">
              <tr>
              <th>SL No</th>
              <th>Title</th>
              
                <th class="">Image</th>
               
               
                <th class="">Action</th>
              </tr>
            </thead>
            <tbody>';
			foreach ($get_data as $offers_data) {
                $i++;
				$output .= '<tr>
               
             
                <td style="text-align: center; vertical-align: middle;">' . $i. '</td>
                <td style="text-align: center; vertical-align: middle;">' . $offers_data->title . '</td>
                <td style="text-align: center; vertical-align: middle;"><a href="'.url("uploads/offersimages/".$offers_data->image).'" target="_blank"><img src="'.url("uploads/offersimages/".$offers_data->image).'"  width="85"  class="img-thumbnail" ></a></td>
             
            
                <td style="text-align: center; vertical-align: middle;">
                &nbsp;<button title="Edit" id="' . $offers_data->id . '" type="button" data-bs-toggle="modal"  data-bs-target="#editOffersModal" class="btn btn-sm custom-btn-info editIcon"><span class="fe fe-edit"> </span></button>
                  &nbsp;<button title="Delete"   id="' . $offers_data->id . '"  type="button" class="btn  btn-sm custom-btn-danger deleteIcon"><span class="fe fe-trash-2"> </span></button></td>
              
                </td>
              </tr>';
			}
			$output .= '</tbody></table>';
			echo $output;
		} else {
			echo '<p class="text-center text-secondary my-5">No record present in the database!</p>';
		}
	}
  public  function offers_store(Request $request)
  {
    $validator = Validator::make($request->all(), [
        'title'=>'required',
        'offers'=>'required',   
        'offers_image'=>'required|mimes:png,jpeg,gif,webp',
    ]);
    
    if ($validator->fails()) { 
        foreach (array_values($validator->messages()->toArray()) as $msg) {
            $error = implode(' ', $msg).'<br>';
        }
        return response()->json(['status' => 1,'heading'=>'Error', 'msg' => $error]);
    } 
 

      $image = $request->file('offers_image');
      $fileSize = $image->getSize(); 
      if ($fileSize > 1009 * 1000) {
            return response()->json([
                'status' => 203,
            ]);
          }

          $imagecheck = Image::make($request->file('offers_image'));
          $width = $imagecheck->width();
          $height = $imagecheck->height();
          $aspectRatio = $width / $height;
          $threshold = 0.1; // Adjust this threshold as needed
          
          if (abs($aspectRatio - 1) <= $threshold) {
              $image_type = "square";
          } elseif ($aspectRatio > 2) {
              $image_type = "landscape";
          } else {
              $image_type = "portrait";
          }
         



            $fileName = time() . '.' . $image->getClientOriginalExtension();
            $imageDestinationPath = 'uploads/offersimages';
            $image->move($imageDestinationPath, $fileName);
            $galData = ['title' => $request->title,'offer' => $request->offers, 'image_type' => $image_type, 'image' => $fileName];
            Offers::create($galData);
            return response()->json([
                'status' => 200,
            ]);



   
  }
  public function update(Request $request) {
  
   
    $gal = Offers::find($request->ser_id);
    $fileName = ''; 
    if ($request->hasFile('offers_image')) {
    
       
   
          $image = $request->file('offers_image');
          $fileSize = $image->getSize(); 

          if ($fileSize > 1024 * 1024) {
            return response()->json([
                'status' => 203,
            ]);
          }



          $imagecheck = Image::make($request->file('offers_image'));
   
          $width = $imagecheck->width();
          $height = $imagecheck->height();
          $aspectRatio = $width / $height;
          $threshold = 0.1; // Adjust this threshold as needed
          
          if (abs($aspectRatio - 1) <= $threshold) {
              $image_type = "square";
          } elseif ($aspectRatio > 2) {
              $image_type = "landscape";
          } else {
              $image_type = "portrait";
          }
         
         
     



        $data = getimagesize($request->file('offers_image'));
    $width = $data[0];
    $height = $data[1];
    // if($width == '1009' && $height == '1000')
    //     {
        $file = $request->file('offers_image');
        $fileName = time() . '.' . $file->getClientOriginalExtension();
        $imageDestinationPath = 'uploads/offersimages';
        $file->move($imageDestinationPath, $fileName);
       
        if ($gal->image) {
            File::delete('uploads/offersimages/' . $gal->image);
        }
   // }
    // else{
    //     return response()->json([
    //         'status' => 202,
    //     ]);
    // }
    } else {
        $fileName = $request->ser_image;
        $image_type = $request->image_type;
    }
    $Data = ['title' => $request->title,'offer' => $request->offers, 'image_type' => $image_type, 'image' => $fileName];  
  
    $update=offers::where('id',$request->ser_id)->update($Data); 
 
    return response()->json([
        'status' => 200,
    ]);



}
  public function offers_edit(Request $request)
  {
	    $id = $request->id;
		$offers = Offers::find($id);
		return response()->json($offers);
  }
  public function offers_delete(Request $request) {
    $id = $request->id;  
    $gal = Offers::find($id);

    if (File::delete('uploads/offersimages/' . $gal->image)) {
      Offers::destroy($id);
    }
}
public function search_order(Request $request)
{
    $get_details =DB::table('offers')->pluck('order_number')->toArray();
    if (in_array($request->order_number, $get_details ))
    {
        return 'false';
    }
    else{
        return 'true'; 
    }
   
}

public function update_image_order(Request $request)
{
    $imageIdsArray = $request->imageIds;
    $count = 1;
    foreach ($imageIdsArray as $id) {
        $imageOrder = $count;
        $imageId = $id;
        $str_id = str_replace(array('\'', '.'), "", $imageId);

        $post = offers::find($str_id);

        $post->order_number = $imageOrder;
        $post->save();

        $count ++;
    }
    return response()->json([
        'status' => 200,
    ]);

}

}
