<?php

namespace App\Http\Controllers\admin;
use App\Models\Services;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use Illuminate\Support\Facades\Storage;
use DB;
use Illuminate\Support\Facades\Validator;
use File;
use Intervention\Image\Facades\Image;
class ServiceController extends Controller
{
    public function index()
    {
        $get_data = Services::orderBy(DB::raw('ISNULL(order_number), order_number'), 'ASC')->get();
        return view('admin.services')->with('show',$get_data);
    }

    
   


    public function fetchAll() {
		$get_data = Services::orderBy(DB::raw('ISNULL(id), id'), 'ASC')->get();
    
		$output = '';
        $i = 0;
		if ($get_data->count() > 0) {
			$output .= '<table  class="table table-bordered text-nowrap border-bottom dataTable no-footer " style="width: 100% !important;" id="table_datatable">
            <thead class="text-center">
              <tr>
              <th>SL No</th>
              <th>Title</th>
              
                <th class="">Image</th>
               
               
                <th class="">Action</th>
              </tr>
            </thead>
            <tbody>';
			foreach ($get_data as $services_data) {
                $i++;
				$output .= '<tr>
               
             
                <td style="text-align: center; vertical-align: middle;">' . $i. '</td>
                <td style="text-align: center; vertical-align: middle;">' . $services_data->title . '</td>
                <td style="text-align: center; vertical-align: middle;"><a href="'.url("uploads/serviceimages/".$services_data->image).'" target="_blank"><img src="'.url("uploads/serviceimages/".$services_data->image).'"  width="85"  class="img-thumbnail" ></a></td>
             
            
                <td style="text-align: center; vertical-align: middle;">
                &nbsp;<button title="Edit" id="' . $services_data->id . '" type="button" data-bs-toggle="modal"  data-bs-target="#editservicesModal" class="btn btn-sm custom-btn-info editIcon"><span class="fe fe-edit"> </span></button>
                  &nbsp;<button title="Delete"   id="' . $services_data->id . '"  type="button" class="btn  btn-sm custom-btn-danger deleteIcon"><span class="fe fe-trash-2"> </span></button></td>
              
                </td>
              </tr>';
			}
			$output .= '</tbody></table>';
			echo $output;
		} else {
			echo '<p class="text-center text-secondary my-5">No record present in the database!</p>';
		}
	}
  public  function services_store(Request $request)
  {
    $validator = Validator::make($request->all(), [
        'title'=>'required',
        'description'=>'required',   
        'services_image'=>'required|mimes:png,jpeg,gif,webp',
    ]);
    
    if ($validator->fails()) { 
        foreach (array_values($validator->messages()->toArray()) as $msg) {
            $error = implode(' ', $msg).'<br>';
        }
        return response()->json(['status' => 1,'heading'=>'Error', 'msg' => $error]);
    } 
     $get_highest_order = DB::table('services')
     ->select(DB::raw('MAX(order_number) as max_order_no'))
     ->value('max_order_no');
     if(empty($get_highest_order))
     {
      $ordernumber = 1;
     }
     else{
        $ordernumber =  $get_highest_order+1;
     }
      $image = $request->file('services_image');
      $fileSize = $image->getSize(); 
      if ($fileSize > 1009 * 1000) {
            return response()->json([
                'status' => 203,
            ]);
          }

            $fileName = time() . '.' . $image->getClientOriginalExtension();
            $imageDestinationPath = 'uploads/serviceimages';
            $image->move($imageDestinationPath, $fileName);
            $galData = ['title' => $request->title,'description' => $request->description, 'order_number' => $ordernumber, 'image' => $fileName];
            Services::create($galData);
            return response()->json([
                'status' => 200,
            ]);



   
  }
  public function update(Request $request) {
  
    $get_details =DB::table('services')->pluck('order_number')->toArray();
    $gal = Services::find($request->ser_id);
   
    $fileName = ''; 
    if ($request->hasFile('services_image')) {
    
       
   
          $image = $request->file('services_image');
          $fileSize = $image->getSize(); 

          if ($fileSize > 1024 * 1024) {
            return response()->json([
                'status' => 203,
            ]);
          }


        $data = getimagesize($request->file('services_image'));
    $width = $data[0];
    $height = $data[1];
    // if($width == '1009' && $height == '1000')
    //     {
        $file = $request->file('services_image');
        $fileName = time() . '.' . $file->getClientOriginalExtension();
        $imageDestinationPath = 'uploads/serviceimages';
        $file->move($imageDestinationPath, $fileName);
       
        if ($gal->image) {
            File::delete('uploads/serviceimages/' . $gal->image);
        }
   // }
    // else{
    //     return response()->json([
    //         'status' => 202,
    //     ]);
    // }
    } else {
        $fileName = $request->ser_image;
    }
    
    $Data = ['title' => $request->title,'description' => $request->description, 'order_number' => $request->order, 'image' => $fileName];
  
  
    $update=Services::where('id',$request->ser_id)->update($Data); 
 
    return response()->json([
        'status' => 200,
    ]);



}
  public function services_edit(Request $request)
  {
	    $id = $request->id;
		$services = Services::find($id);
		return response()->json($services);
  }
  public function services_delete(Request $request) {
    $id = $request->id;  
    $gal = Services::find($id);

    if (File::delete('uploads/serviceimages/' . $gal->image)) {
        Services::destroy($id);
    }
}
public function search_order(Request $request)
{
    $get_details =DB::table('services')->pluck('order_number')->toArray();
    if (in_array($request->order_number, $get_details ))
    {
        return 'false';
    }
    else{
        return 'true'; 
    }
   
}

public function update_image_order(Request $request)
{
    $imageIdsArray = $request->imageIds;
    $count = 1;
    foreach ($imageIdsArray as $id) {
        $imageOrder = $count;
        $imageId = $id;
        $str_id = str_replace(array('\'', '.'), "", $imageId);

        $post = Services::find($str_id);

        $post->order_number = $imageOrder;
        $post->save();

        $count ++;
    }
    return response()->json([
        'status' => 200,
    ]);

}

}
