<?php


use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\WebController;
use App\Http\Controllers\admin\GalleryController;
use App\Http\Controllers\admin\OffersController;
use App\Http\Controllers\admin\BannerController;

use App\Http\Controllers\ContactController;
use App\Http\Controllers\admin\UpcomingeventsController;
use App\Http\Controllers\admin\MusicalProjectsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteoffersProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::fallback(function () {
    return view('website.404');
});

Route::get('/', [WebController::class, 'index']);
Route::get('home', [WebController::class, 'index'])->name('home');
Route::get('service', [WebController::class, 'service'])->name('service');
Route::get('contact-us', [WebController::class, 'contact'])->name('contact-us');
Route::post('contact_us', [ContactController::class, 'store'])->name('contact_us'); 


Route::middleware('adminAccess')->group(function(){
    Route::get('dashboard', [AuthController::class, 'dashboard'])->name('dashboard');
      Route::delete('contact_delete', [AuthController::class, 'contact_delete'])->name('contact_delete');
    Route::get('create_gallery', [GalleryController::class, 'index'])->name('create_gallery');
    Route::get('gallery_datatable', [GalleryController::class, 'gallery_datatable'])->name('gallery_datatable');
    Route::get('profile', [AuthController::class, 'profile'])->name('profile');
    Route::post('change_password', [AuthController::class, 'change_password'])->name('change_password');

 ######################### gallery images###################################
 Route::get('/gallery', [GalleryController::class, 'index'])->name('gallery');
 Route::post('/gallery_store', [GalleryController::class, 'gallery_store'])->name('gallery_store');
Route::post('/events', [GalleryController::class, 'gallery_store'])->name('events');
Route::get('/fetchall_gal', [GalleryController::class, 'fetchAll'])->name('fetchall_gal');
Route::delete('/gallery_delete', [GalleryController::class, 'gallery_delete'])->name('gallery_delete');
Route::get('/gallery_edit', [GalleryController::class, 'gallery_edit'])->name('gallery_edit');
Route::post('/update', [GalleryController::class, 'update'])->name('update');
Route::get('/search_order', [GalleryController::class, 'search_order'])->name('search_order');
Route::post('/update_image_order', [GalleryController::class, 'update_image_order'])->name('update_image_order');
#######################################################################

 #########################offers###################################
 Route::get('/offers', [OffersController::class, 'index'])->name('offers');
 Route::post('/offers_store', [OffersController::class, 'offers_store'])->name('offers_store');
 Route::get('/fetchall_offers', [OffersController::class, 'fetchAll'])->name('fetchall_offers');
 Route::delete('/offers_delete', [OffersController::class, 'offers_delete'])->name('offers_delete');
 Route::get('/offers_edit', [OffersController::class, 'offers_edit'])->name('offers_edit');
 Route::post('/offers_update', [OffersController::class, 'update'])->name('offers_update');
 Route::get('/search_order', [OffersController::class, 'search_order'])->name('search_order');
 Route::post('/update_image_order', [OffersController::class, 'update_image_order'])->name('update_image_order');
 #######################################################################

  #########################banner###################################
  Route::get('/banner', [BannerController::class, 'index'])->name('banner');
  Route::post('/banner_store', [BannerController::class, 'offers_store'])->name('banner_store');
  Route::get('/banner_offers', [BannerController::class, 'fetchAll'])->name('fetchall_banner');
  Route::delete('/banner_delete', [BannerController::class, 'offers_delete'])->name('banner_delete');
  Route::get('/banner_edit', [BannerController::class, 'banner_edit'])->name('banner_edit');
  Route::post('/banner_update', [BannerController::class, 'update'])->name('banner_update');
  Route::get('/search_order', [BannerController::class, 'search_order'])->name('search_order');
  Route::post('/update_image_order', [BannerController::class, 'update_image_order'])->name('update_image_order');
  #######################################################################
 
  ######################### gallery category###################################   
  Route::get('events_category', [GalleryController::class, 'event_category'])->name('events_category');
  Route::post('/category_store', [GalleryController::class, 'category_store'])->name('category_store');
  Route::get('/fetchcategory', [GalleryController::class, 'fetchcategory'])->name('fetchcategory');
  Route::get('/gallery_category_edit', [GalleryController::class, 'gallery_category_edit'])->name('gallery_category_edit');
  Route::post('/update_category', [GalleryController::class, 'update_category'])->name('update_category');
  Route::delete('/category_delete', [GalleryController::class, 'category_delete'])->name('category_delete');
});


#########################upcoming events###################################
Route::get('/upcoming_events', [UpcomingeventsController::class, 'index'])->name('upcoming_events');
Route::post('/up_event_store', [UpcomingeventsController::class, 'up_event_store'])->name('up_event_store');
Route::get('/fetchAll_upcoming_event', [UpcomingeventsController::class, 'fetchAll'])->name('fetchAll_upcoming_event');
Route::delete('/up_event_delete', [UpcomingeventsController::class, 'up_event_delete'])->name('up_event_delete');
Route::get('/up_event_edit', [UpcomingeventsController::class, 'up_event_edit'])->name('up_event_edit');
Route::post('/up_event_update', [UpcomingeventsController::class, 'update'])->name('up_event_update');
Route::get('/search_order', [UpcomingeventsController::class, 'search_order'])->name('search_order');
Route::post('/update_image_order', [UpcomingeventsController::class, 'update_image_order'])->name('update_image_order');
#######################################################################

######################### musical projects ###################################
Route::get('/musical_projects', [MusicalProjectsController::class, 'index'])->name('musical_projects');
Route::post('/description_update', [MusicalProjectsController::class, 'description_update'])->name('description_update');

Route::post('/up_musical_event_store', [MusicalProjectsController::class, 'up_musical_event_store'])->name('up_musical_event_store');
Route::get('/fetchall', [MusicalProjectsController::class, 'fetchAll'])->name('fetchAll');
Route::delete('/up_musical_event_delete', [MusicalProjectsController::class, 'up_musical_event_delete'])->name('up_musical_event_delete');
Route::get('/up_musical_event_edit', [MusicalProjectsController::class, 'up_musical_event_edit'])->name('up_musical_event_edit');
Route::post('/up_musical_event_update', [MusicalProjectsController::class, 'update'])->name('up_musical_event_update');
Route::get('/search_order', [MusicalProjectsController::class, 'search_order'])->name('search_order');
Route::post('/update_image_order', [MusicalProjectsController::class, 'update_image_order'])->name('update_image_order');
#######################################################################


Route::get('admin', [AuthController::class, 'index'])->name('login');
Route::post('post-login', [AuthController::class, 'postLogin'])->name('login.post'); 
Route::get('registration', [AuthController::class, 'registration'])->name('register');
Route::post('post-registration', [AuthController::class, 'postRegistration'])->name('register.post'); 
Route::get('logout', [AuthController::class, 'logout'])->name('logout');




// use App\Http\Livewire\About;
// use App\Http\Livewire\Accordion;
// use App\Http\Livewire\AddProduct;
// use App\Http\Livewire\Alerts;
// use App\Http\Livewire\AvatarRadius;
// use App\Http\Livewire\AvatarRound;
// use App\Http\Livewire\Avatarsquare;
// use App\Http\Livewire\Badge;
// use App\Http\Livewire\Blog;
// use App\Http\Livewire\BlogDetails;
// use App\Http\Livewire\BlogPost;
// use App\Http\Livewire\Breadcrumbs;
// use App\Http\Livewire\Buttons;
// use App\Http\Livewire\Calendar;
// use App\Http\Livewire\Calendar2;
// use App\Http\Livewire\Cards;
// use App\Http\Livewire\Carousel;
// use App\Http\Livewire\Cart;
// use App\Http\Livewire\Chart;
// use App\Http\Livewire\ChartChartist;
// use App\Http\Livewire\ChartDonut;
// use App\Http\Livewire\ChartEchart;
// use App\Http\Livewire\ChartFlot;
// use App\Http\Livewire\ChartLine;
// use App\Http\Livewire\ChartMorris;
// use App\Http\Livewire\ChartNvd3;
// use App\Http\Livewire\ChartPie;
// use App\Http\Livewire\Charts;
// use App\Http\Livewire\Chat;
// use App\Http\Livewire\Checkout;
// use App\Http\Livewire\Colors;
// use App\Http\Livewire\Construction;
// use App\Http\Livewire\Counters;
// use App\Http\Livewire\CryptoCurrencies;
// use App\Http\Livewire\Datatable;
// use App\Http\Livewire\Dropdown;
// use App\Http\Livewire\Editprofile;
// use App\Http\Livewire\EditTable;
// use App\Http\Livewire\EmailCompose;
// use App\Http\Livewire\EmailInbox;
// use App\Http\Livewire\EmailRead;
// use App\Http\Livewire\Emptypage;
// use App\Http\Livewire\Error400;
// use App\Http\Livewire\Error401;
// use App\Http\Livewire\Error403;
// use App\Http\Livewire\Error404;
// use App\Http\Livewire\Error500;
// use App\Http\Livewire\Error503;
// use App\Http\Livewire\Faq;
// use App\Http\Livewire\FileAttachments;
// use App\Http\Livewire\FileManager;
// use App\Http\Livewire\FilemanagerDetails;
// use App\Http\Livewire\FilemanagerList;
// use App\Http\Livewire\Footers;
// use App\Http\Livewire\ForgotPassword;
// use App\Http\Livewire\FormAdvanced;
// use App\Http\Livewire\FormEditor;
// use App\Http\Livewire\FormElements;
// use App\Http\Livewire\FormLayouts;
// use App\Http\Livewire\FormValidation;
// use App\Http\Livewire\FormWizard;

// use App\Http\Livewire\Icons;
// use App\Http\Livewire\Icons10;
// use App\Http\Livewire\Icons11;
// use App\Http\Livewire\Icons2;
// use App\Http\Livewire\Icons3;
// use App\Http\Livewire\Icons4;
// use App\Http\Livewire\Icons5;
// use App\Http\Livewire\Icons6;
// use App\Http\Livewire\Icons7;
// use App\Http\Livewire\Icons8;
// use App\Http\Livewire\Icons9;
// use App\Http\Livewire\Index;
// use App\Http\Livewire\Invoice;
// use App\Http\Livewire\Listgroup;
// use App\Http\Livewire\Loaders;
// use App\Http\Livewire\Lockscreen;
// use App\Http\Livewire\Login;
// use App\Http\Livewire\Maps;
// use App\Http\Livewire\Maps1;
// use App\Http\Livewire\Maps2;
// use App\Http\Livewire\Mediaobject;
// use App\Http\Livewire\Modal;
// use App\Http\Livewire\Navigation;
// use App\Http\Livewire\Notify;
// use App\Http\Livewire\NotifyList;
// use App\Http\Livewire\Offcanvas;
// use App\Http\Livewire\Pagination;
// use App\Http\Livewire\Panels;
// use App\Http\Livewire\Pricing;
// use App\Http\Livewire\Profile;
// use App\Http\Livewire\Progress;
// use App\Http\Livewire\Rangeslider;
// use App\Http\Livewire\Rating;
 use App\Http\Livewire\Register;
// use App\Http\Livewire\Scroll;
// use App\Http\Livewire\Scrollspy;
// use App\Http\Livewire\Search;
// use App\Http\Livewire\offers;
// use App\Http\Livewire\Settings;
// use App\Http\Livewire\Shop;
// use App\Http\Livewire\ShopDescription;
// use App\Http\Livewire\Sweetalert;
// use App\Http\Livewire\Switcher1;
// use App\Http\Livewire\Switcher2;
// use App\Http\Livewire\Tables;
// use App\Http\Livewire\Tabs;
// use App\Http\Livewire\Tags;
// use App\Http\Livewire\Terms;
// use App\Http\Livewire\Thumbnails;
// use App\Http\Livewire\Timeline;
// use App\Http\Livewire\Toast;
// use App\Http\Livewire\Tooltipandpopover;
// use App\Http\Livewire\Treeview;
// use App\Http\Livewire\Typography;
// use App\Http\Livewire\UsersList;
// use App\Http\Livewire\Widgets;
// use App\Http\Livewire\Wishlist;

// Route::get('index', Index::class);
// Route::get('about', About::class);
// Route::get('accordion', Accordion::class);
// Route::get('add-product', AddProduct::class);
// Route::get('alerts', Alerts::class);
// Route::get('avatar-radius', AvatarRadius::class);
// Route::get('avatar-round', AvatarRound::class);
// Route::get('avatarsquare', Avatarsquare::class);
// Route::get('badge', Badge::class);
// Route::get('blog-details', BlogDetails::class);
// Route::get('blog-post', BlogPost::class);
// Route::get('blog', Blog::class);
// Route::get('breadcrumbs', Breadcrumbs::class);
// Route::get('buttons', Buttons::class);
// Route::get('calendar', Calendar::class);
// Route::get('calendar2', Calendar2::class);
// Route::get('cards', Cards::class);
// Route::get('carousel', Carousel::class);
// Route::get('cart', Cart::class);
// Route::get('chart-chartist', ChartChartist::class);
// Route::get('chart-donut', ChartDonut::class);
// Route::get('chart-echart', ChartEchart::class);
// Route::get('chart-flot', ChartFlot::class);
// Route::get('chart-line', ChartLine::class);
// Route::get('chart-morris', ChartMorris::class);
// Route::get('chart-nvd3', ChartNvd3::class);
// Route::get('chart-pie', ChartPie::class);
// Route::get('chart', Chart::class);
// Route::get('charts', Charts::class);
// Route::get('chat', Chat::class);
// Route::get('checkout', Checkout::class);
// Route::get('colors', Colors::class);
// Route::get('construction', Construction::class);
// Route::get('counters', Counters::class);
// Route::get('crypto-currencies', CryptoCurrencies::class);
// Route::get('datatable', Datatable::class);
// Route::get('dropdown', Dropdown::class);
// Route::get('edit-table', EditTable::class);
// Route::get('editprofile', Editprofile::class);
// Route::get('email-compose', EmailCompose::class);
// Route::get('email-inbox', EmailInbox::class);
// Route::get('email-read', EmailRead::class);
// Route::get('emptypage', Emptypage::class);
// Route::get('error400', Error400::class);
// Route::get('error401', Error401::class);
// Route::get('error403', Error403::class);
// Route::get('error404', Error404::class);
// Route::get('error500', Error500::class);
// Route::get('error503', Error503::class);
// Route::get('faq', Faq::class);
// Route::get('file-attachments', FileAttachments::class);
// Route::get('file-manager', FileManager::class);
// Route::get('filemanager-details', FilemanagerDetails::class);
// Route::get('filemanager-list', FilemanagerList::class);
// Route::get('footers', Footers::class);
// Route::get('forgot-password', ForgotPassword::class);
// Route::get('form-advanced', FormAdvanced::class);
// Route::get('form-editor', FormEditor::class);
// Route::get('form-elements', FormElements::class);
// Route::get('form-layouts', FormLayouts::class);
// Route::get('form-validation', FormValidation::class);
// Route::get('form-wizard', FormWizard::class);
// //Route::get('gallery', Gallery::class);
// Route::get('icons', Icons::class);
// Route::get('icons2', Icons2::class);
// Route::get('icons3', Icons3::class);
// Route::get('icons4', Icons4::class);
// Route::get('icons5', Icons5::class);
// Route::get('icons6', Icons6::class);
// Route::get('icons7', Icons7::class);
// Route::get('icons8', Icons8::class);
// Route::get('icons9', Icons9::class);
// Route::get('icons10', Icons10::class);
// Route::get('icons11', Icons11::class);
// Route::get('invoice', Invoice::class);
// Route::get('listgroup', Listgroup::class);
// Route::get('loaders', Loaders::class);
// Route::get('lockscreen', Lockscreen::class);
// // Route::get('login', Login::class);
// Route::get('maps', Maps::class);
// Route::get('maps1', Maps1::class);
// Route::get('maps2', Maps2::class);
// Route::get('mediaobject', Mediaobject::class);
// Route::get('modal', Modal::class);
// Route::get('navigation', Navigation::class);
// Route::get('notify-list', NotifyList::class);
// Route::get('notify', Notify::class);
// Route::get('offcanvas', Offcanvas::class);
// Route::get('pagination', Pagination::class);
// Route::get('panels', Panels::class);
// Route::get('pricing', Pricing::class);
// Route::get('profile', Profile::class);
// Route::get('progress', Progress::class);
// Route::get('rangeslider', Rangeslider::class);
// Route::get('rating', Rating::class);
 Route::get('register', Register::class);
// Route::get('scroll', Scroll::class);
// Route::get('scrollspy', Scrollspy::class);
// Route::get('search', Search::class);
// Route::get('offers', offers::class);
// Route::get('settings', Settings::class);
// Route::get('shop-description', ShopDescription::class);
// Route::get('shop', Shop::class);
// Route::get('sweetalert', Sweetalert::class);
// Route::get('switcher1', Switcher1::class);
// Route::get('switcher2', Switcher2::class);
// Route::get('tables', Tables::class);
// Route::get('tabs', Tabs::class);
// Route::get('tags', Tags::class);
// Route::get('terms', Terms::class);
// Route::get('thumbnails', Thumbnails::class);
// Route::get('timeline', Timeline::class);
// Route::get('toast', Toast::class);
// Route::get('tooltipandpopover', Tooltipandpopover::class);
// Route::get('treeview', Treeview::class);
// Route::get('typography', Typography::class);
// Route::get('users-list', UsersList::class);
// Route::get('widgets', Widgets::class);
// Route::get('wishlist', Wishlist::class);

// Route::view('login','livewire.home');