<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Fly Wings Travels</title>
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('website/assets/images/favicon.ico')); ?>">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <link href="<?php echo e(asset('website/assets/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('website/assets/css/responsive.css')); ?>" rel="stylesheet">
    <!--font awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
    <!--Google font-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans&display=swap" rel="stylesheet">
    <!--AOS-->
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
</head>

<body>
    <!--Header-->
    <section class="header" style="background-image: url('<?php echo e(asset('uploads/bannerimages/' . $show['image'])); ?>');">
        <div class="container">
            <div class="row">
                <nav class="navbar navbar-expand-lg bg-transparent ">
                    <div class="container mob-center">
                        <a class="navbar-brand" href="<?php echo e(route('home')); ?>">
                            <img src="<?php echo e(asset('website/assets/images/Fly Wing Travels Logo - Blue.svg')); ?>" class="img-fluid" width="200px">
                        </a>
                       
                        <div class="collapse navbar-collapse ml-auto" id="navbarNavAltMarkup">
                            <div class="navbar-nav">
                                <a class="nav-link active" aria-current="page" href="<?php echo e(route('home')); ?>">Home</a>
                                <a class="nav-link " href="<?php echo e(route('service')); ?>">Services</a>
                                <a class="nav-link " href="<?php echo e(route('contact-us')); ?>">Contact Us</a>

                            </div>
                        </div>
                    </div>
                </nav>
                <!--Fixed bottom navbar-->
                <div class="mobile-nav">
                   
                    <nav class="mobile-bottom-nav">
                        <div class="mobile-bottom-nav__item mobile-bottom-nav__item--active">
                            <div class="mobile-bottom-nav__item-content">
                                <a href="<?php echo e(route('home')); ?>">
                                    <i class="fa fa-home" aria-hidden="true"></i><br>
                                Home
                                </a>
                            </div>		
                        </div>
                        <div class="mobile-bottom-nav__item">		
                            <div class="mobile-bottom-nav__item-content">
                               <a href="<?php echo e(route('service')); ?>">
                                <i class="fa fa-plane" aria-hidden="true"></i>
                                Services
                               </a>
                            </div>
                        </div>
                        <div class="mobile-bottom-nav__item">
                            <div class="mobile-bottom-nav__item-content">
                               <a href="<?php echo e(route('contact-us')); ?>">
                                <i class="fa fa-user" aria-hidden="true"></i>
                                Contact
                               </a>
                            </div>		
                        </div>
                        
                    </nav>
                </div>
                <!--End-->
            </div>
        </div>
        <div class="container-fluid">
            <div class="horizontal-line"></div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-lg-9 col-md-9 col-12 justify-content-start">
                    <div class="banner-content" data-aos="fade-right">
                        <h2><?php echo e($show['first_title']); ?><br>
                        <?php echo e($show['second_title']); ?></h2>
                        <p>
                        <?php echo e($show['description']); ?>

                        </p>
                    </div>
                </div>
                <div class="col-lg-2 col-md-2 col-12 media-sec">
                    <div class="social-medias" data-aos="flip-left">
                        <ul>
                           <a href="https://www.facebook.com/FlywingtravelsDubai" target="_blank">    <li class="first-media"><i class="fa-brands fa-facebook-f fa-beat-fade" style="color: #ffffff;"></i></li></a>
                         <a href="https://www.instagram.com/_flywingtravels/" target="_blank">    <li class="second-media"><i class="fa-brands fa-instagram fa-beat-fade" style="color: #ffffff;"></i></li></a>
                        <a aria-label="Chat on WhatsApp" href="https://wa.me/+971582396655" target="_blank">  <li class="third-media"><i class="fa-brands fa-whatsapp fa-beat-fade" style="color: #ffffff;"></i></li></a>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        </div>
        <div class="container-fluid">
            <div class="horizontal-line-2"></div>
        </div>
        <div class="container">
            <div class="row"  data-aos="flip-up">
                <div class="col-lg-3 col-md-6 col-12">
                    <div class="header-bottom">
                        <div class="circle"><span>1</span></div>
                        <div class="circle-content">
                            <h5>UAE TOURIST VISA</h5>
                            <a href="<?php echo e(route('service')); ?>#uae-tourist-visa">VIEW DETAILS</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-12">
                    <div class="header-bottom">
                        <div class="circle"><span>2</span></div>
                        <div class="circle-content">
                            <h5>FLIGHT BOOKING</h5>
                            <a href="<?php echo e(route('service')); ?>#flight-booking">VIEW DETAILS</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-12 border-right">
                    <div class="header-bottom">
                        <div class="circle"><span>3</span></div>
                        <div class="circle-content">
                            <h5>GLOBAL VISAS</h5>
                            <a href="<?php echo e(route('service')); ?>#global-visas">VIEW DETAILS</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 col-12 bottom">
                    <a href="#about-section" class="bottom-button">
                        <i class="fa-sharp fa-solid fa-arrow-down-long fa-bounce fa-sm" style="color: #ffffff;"></i>
                    </a>
                </div>
            </div>
        </div>
    </section>
    <!--End-->
    <!--About-->
    <section class="section-pd about-section" id="about-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-12 about-right-section">
                 <div class="about-image" data-aos="zoom-in" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/about-image.png')); ?>" class="img-fluid" width="100%">
                 </div>
                </div>
                <div class="col-lg-6 col-md-6 col-12 about-right-section">
                    <div class="about-para" data-aos="fade-up"
                    data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                        <h2>WELCOME TO<br>
                            FLY WING TRAVELS </h2>
                            <p >
                                Are you looking for an unforgettable travel experience?  Fly Wing Travels believes in creating lasting 
                                memories and Dubai is the perfect destination for it. Discover the heart of this captivating
                                 city like never before with the help of our experienced team. Let us be your wings as you explore
                                 
                                  and make your travel dreams a reality. Contact Fly Wing Travels today and let's transform
                                   your Dubai adventure into a beautiful and unforgettable story.
                            </p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End-->
    <!--Services-->
    <section class="service-section ">
        <div class="container">
            <div class="row section-pd">
                <div class="col-lg-12 col-md-12 col-12 text-center" data-aos="fade-up"
                data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                    <h2>OUR SERVICES</h2>
                    <p  class="text-center">
                        Just tell us where you want to go and let us do the rest. As an emerging travel agency in Dubai,  
                        We offer exclusive services that will make your travel easier and smoother.
                    </p>
                </div>
                <div class="col-lg-4 col-md-4 col-6 mt-3">
                    <div class="service-image text-center" data-aos="flip-left" data-aos-duration="2000">
                       <a href="<?php echo e(route('service')); ?>#uae-tourist-visa">
                        <img src="<?php echo e(asset('website/assets/images/service-1.jpg')); ?>" class="img-fluid" width="300px">
                        <h5 class="mt-2">UAE TOURIST VISA</h5>
                       </a>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 col-6 mt-3">
                    <div class="service-image text-center" data-aos="flip-left" data-aos-duration="2000">
                       <a href="<?php echo e(route('service')); ?>#flight-booking">
                        <img src="<?php echo e(asset('website/assets/images/service-2.png')); ?>" class="img-fluid" width="300px">
                        <h5 class="mt-2">FLIGHT BOOKING</h5>
                       </a>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4 col-6 mt-3">
                    <div class="service-image text-center" data-aos="flip-left" data-aos-duration="2000">
                       <a href="<?php echo e(route('service')); ?>#global-visas">
                        <img src="<?php echo e(asset('website/assets/images/service-3.png')); ?>" class="img-fluid" width="300px">
                        <h5 class="mt-2">GLOBAL VISAS</h5>
                       </a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End-->
    <!--Offers-->
    <section class="section-pd offer-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12 text-center">
                    <div class="offer-content" data-aos="fade-up"
                    data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                        <h2>SPECIAL OFFERS</h2>
                        <p class="text-center">
                            Are you ready for an extraordinary expedition to discover the magnificent marvels of Dubai?
                             Fly Wing Travels offers a glimpse into the captivating mysteries of this awe-inspiring 
                             destination. Accompany us on a quest to create indelible memories as we journey through 
                             enchanting landscapes, marvel at towering skyscrapers that reach for the clouds, and 
                             fully immerse ourselves in Dubai's cultural riches. Fly Wing Travels pledges to transform 
                             your adventure into an unforgettable experience.
                        </p>
                    </div>
                </div>
                <?php $__currentLoopData = $show['spl_offer']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $offer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($offer->image_type == 'landscape'): ?>

             
                <div class="col-lg-8 col-md-8 col-12 mt-3">
                    <div class="offer-image" data-aos="flip-left" data-aos-duration="2000">
                        <img src="<?php echo e(asset('uploads/offersimages/'.$offer->image)); ?>" width="100%" class="img-fluid">
                        <div class="offer-image-content">
                           <p class="margin-b"><span class="vertical-text">GET</span><span class="bold-offer-text"><?php echo e($offer->offer); ?>% OFF</span></p>
                            <p class="m-display-none" style="font-weight:700px;"><?php echo e($offer->title); ?></p>
                            <!--<a href="#" class="btn">EXPLORE</a>-->
                        </div>
                    </div>
                </div>
         

               

               <?php else: ?> 
                <div class="col-lg-4 col-md-4 col-12 mt-3">
                    <div class="offer-image" data-aos="flip-left" data-aos-duration="2000">
                        <img src="<?php echo e(asset('uploads/offersimages/'.$offer->image)); ?>" width="100%" class="img-fluid">
                        <div class="offer-image-content-2">
                            <span><?php echo e($offer->title); ?></span><br>
                            <span class="first-offer-text" ><?php echo e($offer->offer); ?>% OFF* </span><br>
                            
                             <!--<a href="#" class="btn">EXPLORE</a>-->
                         </div>
                    </div>
                </div>
        <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
              
            </div>
        </div>
    </section>
    <!--end-->
    <!--Exploring-->
    <section class="exploring-section">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12 text-center" data-aos="fade-up"
                data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                    <h2>FLY HIGH AND EXPLORE WIDE WITH FLY WING TRAVELS</h2>
                    <p  class="text-center mt-2">
                        Are you ready to explore the magnificent city of Dubai? Flywing Travels, Dubai's newest and most
                         exciting travel service, is here to reinvent your travel experience and take you on an incredible 
                         voyage through the city's heart.  In every step of your journey, our dedicated staff of expert 
                         travel agents is here to enrich your adventure and provide unrivaled support. If you're planning
                          a vacation, whether for business or pleasure, we're here to make it easy, stress-free, and enjoyable.
                        
                    </p>
                </div>
                <div class="col-lg-4 col-md-4 col-6 mt-3" data-aos="zoom-in" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/explore-1.png')); ?>" width="100%" class="img-fluid">
                </div>
                <div class="col-lg-4 col-md-4 col-6 mt-3" data-aos="zoom-in" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/explore-2.png')); ?>" width="100%" class="img-fluid">
                </div>
                <div class="col-lg-4 col-md-4 col-6 mt-3" data-aos="zoom-in" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/explore-3.png')); ?>" width="100%" class="img-fluid">
                </div>
            </div>
        </div>
    </section>
    <!--End-->
    <!--Footer-->
    <section class="footer-section footer">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-12">
                    <div class="footer-sec" data-aos="fade-right"
                    data-aos-offset="300"
                    data-aos-easing="ease-in-sine">
                        <h5>ABOUT US</h5>
                        <p>
                            Are you looking for an unforgettable travel experience?  Fly Wing Travels believes in
                             creating lasting memories and Dubai is the perfect destination to do just that.
                              Discover the heart of this captivating city like never before with the help of
                               our experienced team. 
                        </p>
                        <h6>Al Qiyadah, Dubai - UAE</h6>
                        <h6><a href="mailto:info@flywingdubai.com">info@flywingdubai.com</a></h6>
                        <p class="footer-num"><i class="fa fa-phone" aria-hidden="true"></i>&nbsp;&nbsp;<a href="tel:+0543082690">+054 308 2690</a></p>
                        <!--<p class="footer-num"><i class="fa fa-phone" aria-hidden="true"></i>&nbsp;&nbsp;<a href="tel:+971 58 239 6655">+971 58 239 6655</a></p>-->
                        <!--<p class="footer-num"><i class="fa fa-phone" aria-hidden="true"></i>&nbsp;&nbsp;<a href="tel:+971 52 916 4634">+971 52 916 4634</a></p>-->
                    </div>
                </div>
                <div class="col-lg-2 col-md-6 col-12 d-flex justify-content-center">
                    <div class="footer-sec" data-aos="fade-right"
                    data-aos-offset="300"
                    data-aos-easing="ease-in-sine">
                        <h5>USEFUL LINKS</h5>
                        <ul>
                            <li>
                                <img src="<?php echo e(asset('website/assets/images/fast-forward.png')); ?>" width="15px">
                                <a href="<?php echo e(route('home')); ?>">Home</a>
                            </li>
                            <li>
                                <img src="<?php echo e(asset('website/assets/images/fast-forward.png')); ?>" width="15px">
                                <a href="<?php echo e(route('service')); ?>">Our Services</a>
                            </li>
                            <li>
                                <img src="<?php echo e(asset('website/assets/images/fast-forward.png')); ?>" width="15px">
                                <a href="<?php echo e(route('contact-us')); ?>">Contact Us</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-6 col-md-12 col-12">
                    <div class="map" data-aos="zoom-in" data-aos-duration="2000">
                        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3607.78994615185!2d55.35011577459899!3d25.277650628438803!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e5f5cf36482f21b%3A0x97d6ac5a519afc1c!2sAl%20Qiyadah%20Metro%20Station!5e0!3m2!1sen!2sin!4v1694237597368!5m2!1sen!2sin" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                    </div>
                </div>
                <div class="col-lg-12 col-md-12 col-12">
                    <hr>
                </div>
                <div class="col-lg-12 col-md-12 col-12 d-flex justify-content-center">
                    <p class="copyright">Copyright &copy; 2023 Fly Wing Travels. All Rights Reserved. Developed by 
                        <a href="https://gingertechnologies.in/" target="_blank">Ginger Technologies</a>.</p>
                </div>
            </div>
        </div>
    </section>
    <!--End-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm"
        crossorigin="anonymous"></script>
        <!--mobile bottom nav-->
        <script>
            var navItems = document.querySelectorAll(".mobile-bottom-nav__item");
navItems.forEach(function(e, i) {
	e.addEventListener("click", function(e) {
		navItems.forEach(function(e2, i2) {
			e2.classList.remove("mobile-bottom-nav__item--active");
		})
		this.classList.add("mobile-bottom-nav__item--active");
	});
});
        </script>
        <!---->
        <!--AOS-->
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script>
            AOS.init();
          </script>
</body>

</html><?php /**PATH /home/lsio3bqwsusv/public_html/FlyWingTravels/resources/views/website/index.blade.php ENDPATH**/ ?>