<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Fly Wings Travels</title>
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('website/assets/images/favicon.ico')); ?>">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <link href="<?php echo e(asset('website/assets/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('website/assets/css/responsive.css')); ?>" rel="stylesheet">
    <!--font awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
    <!--Google font-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans&display=swap" rel="stylesheet">
    <!--AOS-->
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
</head>

<body>
    <!--Header-->
    <section class="header" style="background-image: url('<?php echo e(asset('uploads/bannerimages/' . $show['image'])); ?>');">
        <div class="container">
            <div class="row">
                <nav class="navbar navbar-expand-lg bg-transparent ">
                    <div class="container mob-center">
                        <a class="navbar-brand" href="<?php echo e(route('home')); ?>">
                            <img src="<?php echo e(asset('website/assets/images/Fly Wing Travels Logo - Blue.svg')); ?>" class="img-fluid" width="200px">
                        </a>
                       
                        <div class="collapse navbar-collapse ml-auto" id="navbarNavAltMarkup">
                            <div class="navbar-nav">
                                <a class="nav-link " aria-current="page" href="<?php echo e(route('home')); ?>">Home</a>
                                <a class="nav-link active " href="<?php echo e(route('service')); ?>">Services</a>
                                <a class="nav-link " href="<?php echo e(route('contact-us')); ?>">Contact Us</a>

                            </div>
                        </div>
                    </div>
                </nav>
                <!--Fixed bottom navbar-->
                <div class="mobile-nav">
                   
                    <nav class="mobile-bottom-nav">
                        <div class="mobile-bottom-nav__item ">
                            <div class="mobile-bottom-nav__item-content">
                                <a href="<?php echo e(route('home')); ?>">
                                    <i class="fa fa-home" aria-hidden="true"></i><br>
                                Home
                                </a>
                            </div>		
                        </div>
                        <div class="mobile-bottom-nav__item mobile-bottom-nav__item--active">		
                            <div class="mobile-bottom-nav__item-content">
                              <a href="<?php echo e(route('service')); ?>">
                                <i class="fa fa-plane" aria-hidden="true"></i><br>
                                Services
                              </a>
                            </div>
                        </div>
                        <div class="mobile-bottom-nav__item">
                            <div class="mobile-bottom-nav__item-content">
                               <a href="<?php echo e(route('contact-us')); ?>">
                                <i class="fa fa-user" aria-hidden="true"></i><br>
                                Contact
                               </a>
                            </div>		
                        </div>
                        
                    </nav>
                </div>
                <!--End-->
            </div>
        </div>
        <div class="container-fluid">
            <div class="horizontal-line"></div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-12 d-flex justify-content-center text-center">
                    <div class="service-page-content" data-aos="fade-right" data-aos-duration="2000">
                        <h2>OUR SERVICES</h2>
                        <p  class="text-center">
                            Just tell us where you want to go and let us do the rest. As an emerging travel agency in Dubai. 
                            We offer exclusive services that will make your travel easier and smoother.
                        </p>
                       
                    </div>
                </div>
                <div class="col-lg-12 col-md-12 col-12 text-center pb-4 service-button-section">
                    <a href="#service-page-section" class="bottom-button">
                        <i class="fa-sharp fa-solid fa-arrow-down-long fa-bounce fa-sm" style="color: #ffffff;"></i>
                    </a>
                </div>
            </div>
        </div>
        </div>
       
       
    </section>
    <!--End-->
  <!--service-page-->
  <section class="service-page-section" id="service-page-section">
    <div class="container">
        <div class="row" id="uae-tourist-visa">
            <div class="col-lg-5 col-md-5 col-sm-12 col-12 service-page-sec order-lg-first order-first mx-md-auto ">
                <div class="image-box" data-aos="flip-left" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/service-p-1.png')); ?>" class="img-fluid">
                </div>
            </div>
            <div class="col-lg-7 col-md-12 col-12  service-page-sec order-lg-last order-last" data-aos="fade-up"
            data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                <h2>UAE TOURIST VISA</h2>
                <p>
                    A UAE tourist visa is a travel document that permits individuals to visit the United Arab Emirates (UAE) 
                    for leisure and tourism purposes for a period of either 30 or 90 days. To obtain a UAE tourist visa,
                     travelers generally need to apply and submit the necessary documents to the UAE embassy or consulate 
                     in their home country or through an online application system. At Fly Wing Travels, we can assist with
                      the application process, provide guidance on the required paperwork, and expedite the visa approval
                       process for you.
                    
                </p>
            </div>
        </div>
        <div class="row mt-2" id="flight-booking">
            <div class="col-lg-7 col-md-12 col-12  service-page-sec order-lg-first order-last" data-aos="fade-up"
            data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                <h2>FLIGHT BOOKING</h2>
                <p>
                    Booking a flight is a crucial part of the travel planning process. There are various channels through which
                     you can book your flight, such as airline websites, online travel agents (OTAs), or travel agencies.
                      By booking your flight, you can confirm your preferred seats on your chosen flight.
                    To book a flight, you need to select your points of departure and arrival, choose your preferred dates 
                    and times, and make your payment. Depending on your preferences and budget, you can select from a range 
                    of service classes, including economy, business, and first class.
                    Fly Wing Travels offers additional services when making a flight reservation, such as seat selection, 
                    meal preferences, and travel insurance. These services are designed to make your travel experience more
                     comfortable and convenient.
                    
                    
                </p>
            </div>
            <div class="col-lg-5 col-md-5 col-sm-12 col-12 service-page-sec order-lg-last order-first mx-md-auto">
                <div class="image-box" data-aos="flip-left" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/service-p-2.png')); ?>" class="img-fluid">
                </div>
            </div>
          
        </div>
        <div class="row mt-2" id="global-visas">
            <div class="col-lg-5 col-md-5 col-sm-12 col-12 service-page-sec order-lg-first order-first mx-md-auto">
                <div class="image-box" data-aos="flip-left" data-aos-duration="2000">
                    <img src="<?php echo e(asset('website/assets/images/service-p-3.png')); ?>" class="img-fluid">
                </div>
            </div>
            <div class="col-lg-7 col-md-12 col-12  service-page-sec order-lg-last order-last" data-aos="fade-up"
            data-aos-anchor-placement="center-bottom" data-aos-duration="2000">
                <h2>GLOBAL VISAS</h2>
                <p>
                    Global Visas are designed to assist people and organizations with the challenging process of getting visas for 
                    foreign travel, employment, education, or immigration. A wide range of services are available from Fly 
                    Wing Travels, including advice on visa applications, document preparation, submission to embassies
                     or consulates, monitoring the processing of visas, and aid with visa interviews if necessary. 
                     The application procedure for visas is simplified and less stressful for applicants because 
                     our service providers are frequently knowledgeable about the particular legislation and 
                     requirements for visas for various countries.
                    
                </p>
            </div>
        </div>
    </div>
  </section>
  <!--end-->
    <!--Footer-->
    <section class="footer-section footer">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6 col-12">
                    <div class="footer-sec" data-aos="fade-right"
                    data-aos-offset="300"
                    data-aos-easing="ease-in-sine">
                        <h5>ABOUT US</h5>
                        <p>
                            Are you looking for an unforgettable travel experience?  Fly Wing Travels believes in
                            creating lasting memories and Dubai is the perfect destination to do just that.
                             Discover the heart of this captivating city like never before with the help of
                              our experienced team. 
                        </p>
                        <h6>Al Qiyadah, Dubai - UAE</h6>
                          <h6><a href="mailto:info@flywingdubai.com">info@flywingdubai.com</a></h6>
                             <p class="footer-num"><i class="fa fa-phone" aria-hidden="true"></i>&nbsp;&nbsp;<a href="tel:+0543082690">+054 308 2690</a></p>
                        <!--<p class="footer-num"><i class="fa fa-phone" aria-hidden="true"></i>&nbsp;&nbsp;<a href="tel:+971 58 239 6655">+971 58 239 6655</a></p>-->
                        <!--<p class="footer-num"><i class="fa fa-phone" aria-hidden="true"></i>&nbsp;&nbsp;<a href="tel:+971 52 916 4634">+971 52 916 4634</a></p>-->
                    </div>
                </div>
                <div class="col-lg-2 col-md-6 col-12 d-flex justify-content-center">
                    <div class="footer-sec" data-aos="fade-right"
                    data-aos-offset="300"
                    data-aos-easing="ease-in-sine">
                        <h5>USEFUL LINKS</h5>
                        <ul>
                            <li>
                                <img src="<?php echo e(asset('website/assets/images/fast-forward.png')); ?>" width="15px">
                                <a href="<?php echo e(route('home')); ?>">Home</a>
                            </li>
                            <li>
                                <img src="<?php echo e(asset('website/assets/images/fast-forward.png')); ?>" width="15px">
                                <a href="<?php echo e(route('service')); ?>">Our Services</a>
                            </li>
                            <li>
                                <img src="<?php echo e(asset('website/assets/images/fast-forward.png')); ?>" width="15px">
                                <a href="<?php echo e(route('contact-us')); ?>">Contact Us</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-6 col-md-12 col-12">
                    <div class="map" data-aos="zoom-in" data-aos-duration="2000">
                        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3607.78994615185!2d55.35011577459899!3d25.277650628438803!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e5f5cf36482f21b%3A0x97d6ac5a519afc1c!2sAl%20Qiyadah%20Metro%20Station!5e0!3m2!1sen!2sin!4v1694237597368!5m2!1sen!2sin" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                    </div>
                </div>
                <div class="col-lg-12 col-md-12 col-12">
                    <hr>
                </div>
                <div class="col-lg-12 col-md-12 col-12 d-flex justify-content-center">
                    <p class="copyright">Copyright &copy; 2023 Fly Wing Travels. All Rights Reserved. Developed by
                         <a href="https://gingertechnologies.in/" target="_blank">Ginger Technologies</a>.</p>
                </div>
            </div>
        </div>
    </section>
    <!--End-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm"
        crossorigin="anonymous"></script>
        <!--mobile bottom nav-->
        <script>
            var navItems = document.querySelectorAll(".mobile-bottom-nav__item");
navItems.forEach(function(e, i) {
	e.addEventListener("click", function(e) {
		navItems.forEach(function(e2, i2) {
			e2.classList.remove("mobile-bottom-nav__item--active");
		})
		this.classList.add("mobile-bottom-nav__item--active");
	});
});
        </script>
        <!---->
        <!--AOS-->
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script>
            AOS.init();
          </script>
</body>

</html><?php /**PATH /home/staging/public_html/flywing-travels/resources/views/website/service.blade.php ENDPATH**/ ?>